package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag995;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT995Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT995Creator mt995Creator;

    public Tag79Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt995Creator = (MT995Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag79Value = mt995Creator.getNarrativeDescription();
        mt995Creator.set("79", tag79Value);
    }
}
